
"use strict";

let OpenHRP_ServoControllerService = require('./OpenHRP_ServoControllerService.js');
let OpenHRP_AccelerationFilterService_AccelerationFilterParam = require('./OpenHRP_AccelerationFilterService_AccelerationFilterParam.js');
let OpenHRP_TimeKeeperService = require('./OpenHRP_TimeKeeperService.js');
let OpenHRP_AccelerationFilterService = require('./OpenHRP_AccelerationFilterService.js');
let OpenHRP_StabilizerService_EmergencyCheckMode = require('./OpenHRP_StabilizerService_EmergencyCheckMode.js');
let RTC_MultiModeObject = require('./RTC_MultiModeObject.js');
let OpenHRP_ThermoLimiterService = require('./OpenHRP_ThermoLimiterService.js');
let OpenHRP_SequencePlayerService = require('./OpenHRP_SequencePlayerService.js');
let OpenHRP_AutoBalancerService_SupportLegState = require('./OpenHRP_AutoBalancerService_SupportLegState.js');
let RTC_Point3D = require('./RTC_Point3D.js');
let OpenHRP_AutoBalancerService_IKLimbParameters = require('./OpenHRP_AutoBalancerService_IKLimbParameters.js');
let SDOPackage_SDOService = require('./SDOPackage_SDOService.js');
let OpenHRP_AABB = require('./OpenHRP_AABB.js');
let OpenHRP_AutoBalancerService_GaitGeneratorParam = require('./OpenHRP_AutoBalancerService_GaitGeneratorParam.js');
let SDOPackage_Monitoring = require('./SDOPackage_Monitoring.js');
let OpenHRP_CollisionDetectorService_CollisionState = require('./OpenHRP_CollisionDetectorService_CollisionState.js');
let OpenHRP_RemoveForceSensorLinkOffsetService_forcemomentOffsetParam = require('./OpenHRP_RemoveForceSensorLinkOffsetService_forcemomentOffsetParam.js');
let OpenHRP_ExecutionProfileService = require('./OpenHRP_ExecutionProfileService.js');
let RTC_Time = require('./RTC_Time.js');
let RTC_DataFlowComponentAction = require('./RTC_DataFlowComponentAction.js');
let OpenHRP_ImpedanceControllerService_impedanceParam = require('./OpenHRP_ImpedanceControllerService_impedanceParam.js');
let OpenHRP_NullService = require('./OpenHRP_NullService.js');
let OpenHRP_ObjectContactTurnaroundDetectorService_DetectorTotalWrench = require('./OpenHRP_ObjectContactTurnaroundDetectorService_DetectorTotalWrench.js');
let OpenHRP_SequencePlayerService_interpolationMode = require('./OpenHRP_SequencePlayerService_interpolationMode.js');
let OpenHRP_DataLoggerService = require('./OpenHRP_DataLoggerService.js');
let OpenHRP_ForwardKinematicsService = require('./OpenHRP_ForwardKinematicsService.js');
let SDOPackage_SDOSystemElement = require('./SDOPackage_SDOSystemElement.js');
let OpenHRP_ImpedanceControllerService = require('./OpenHRP_ImpedanceControllerService.js');
let OpenHRP_AutoBalancerService = require('./OpenHRP_AutoBalancerService.js');
let OpenRTM_DataFlowComponent = require('./OpenRTM_DataFlowComponent.js');
let RTC_LightweightRTObject = require('./RTC_LightweightRTObject.js');
let OpenHRP_TorqueControllerService = require('./OpenHRP_TorqueControllerService.js');
let RTC_FsmParticipant = require('./RTC_FsmParticipant.js');
let OpenHRP_RobotHardwareService_SwitchStatus = require('./OpenHRP_RobotHardwareService_SwitchStatus.js');
let OpenHRP_EmergencyStopperService_EmergencyStopperParam = require('./OpenHRP_EmergencyStopperService_EmergencyStopperParam.js');
let OpenHRP_AutoBalancerService_AutoBalancerParam = require('./OpenHRP_AutoBalancerService_AutoBalancerParam.js');
let OpenHRP_VirtualForceSensorService = require('./OpenHRP_VirtualForceSensorService.js');
let RTC_PortService = require('./RTC_PortService.js');
let OpenHRP_ExecutionProfileService_Profile = require('./OpenHRP_ExecutionProfileService_Profile.js');
let OpenHRP_StabilizerService_STAlgorithm = require('./OpenHRP_StabilizerService_STAlgorithm.js');
let OpenHRP_StabilizerService_TwoDimensionVertex = require('./OpenHRP_StabilizerService_TwoDimensionVertex.js');
let OpenHRP_RobotHardwareService = require('./OpenHRP_RobotHardwareService.js');
let OpenHRP_AutoBalancerService_FootstepParam = require('./OpenHRP_AutoBalancerService_FootstepParam.js');
let OpenHRP_TorqueControllerService_torqueControllerParam = require('./OpenHRP_TorqueControllerService_torqueControllerParam.js');
let OpenHRP_AutoBalancerService_OrbitType = require('./OpenHRP_AutoBalancerService_OrbitType.js');
let OpenRTM_ExtTrigExecutionContextService = require('./OpenRTM_ExtTrigExecutionContextService.js');
let RTC_ExecutionContextService = require('./RTC_ExecutionContextService.js');
let RTC_ComponentAction = require('./RTC_ComponentAction.js');
let OpenHRP_AutoBalancerService_StepParams = require('./OpenHRP_AutoBalancerService_StepParams.js');
let ContactStatesStamped = require('./ContactStatesStamped.js');
let Img_CameraCaptureService = require('./Img_CameraCaptureService.js');
let OpenHRP_AutoBalancerService_Footsteps = require('./OpenHRP_AutoBalancerService_Footsteps.js');
let OpenHRP_OGMap3D = require('./OpenHRP_OGMap3D.js');
let OpenHRP_SoftErrorLimiterService = require('./OpenHRP_SoftErrorLimiterService.js');
let OpenHRP_AccelerationFilterService_ControlMode = require('./OpenHRP_AccelerationFilterService_ControlMode.js');
let OpenHRP_StabilizerService_IKLimbParameters = require('./OpenHRP_StabilizerService_IKLimbParameters.js');
let OpenHRP_StabilizerService = require('./OpenHRP_StabilizerService.js');
let OpenHRP_AutoBalancerService_StrideLimitationType = require('./OpenHRP_AutoBalancerService_StrideLimitationType.js');
let OpenHRP_GraspControllerService = require('./OpenHRP_GraspControllerService.js');
let ContactState = require('./ContactState.js');
let OpenHRP_StateHolderService_Command = require('./OpenHRP_StateHolderService_Command.js');
let RTC_FsmObject = require('./RTC_FsmObject.js');
let OpenHRP_ObjectContactTurnaroundDetectorService = require('./OpenHRP_ObjectContactTurnaroundDetectorService.js');
let SDOPackage_SDO = require('./SDOPackage_SDO.js');
let OpenHRP_StabilizerService_stParam = require('./OpenHRP_StabilizerService_stParam.js');
let OpenHRP_KalmanFilterService = require('./OpenHRP_KalmanFilterService.js');
let RTC_Fsm = require('./RTC_Fsm.js');
let OpenHRP_RemoveForceSensorLinkOffsetService = require('./OpenHRP_RemoveForceSensorLinkOffsetService.js');
let OpenHRP_StabilizerService_ControllerMode = require('./OpenHRP_StabilizerService_ControllerMode.js');
let RTC_MultiModeComponentAction = require('./RTC_MultiModeComponentAction.js');
let OpenHRP_RobotHardwareService_BatteryState = require('./OpenHRP_RobotHardwareService_BatteryState.js');
let OpenHRP_OGMap3DService = require('./OpenHRP_OGMap3DService.js');
let OpenHRP_ThermoLimiterService_tlParam = require('./OpenHRP_ThermoLimiterService_tlParam.js');
let OpenHRP_ReferenceForceUpdaterService_ReferenceForceUpdaterParam = require('./OpenHRP_ReferenceForceUpdaterService_ReferenceForceUpdaterParam.js');
let RTC_ExecutionContext = require('./RTC_ExecutionContext.js');
let RTC_ModeCapable = require('./RTC_ModeCapable.js');
let OpenHRP_KalmanFilterService_KalmanFilterParam = require('./OpenHRP_KalmanFilterService_KalmanFilterParam.js');
let RTC_DataFlowComponent = require('./RTC_DataFlowComponent.js');
let OpenHRP_ObjectContactTurnaroundDetectorService_objectContactTurnaroundDetectorParam = require('./OpenHRP_ObjectContactTurnaroundDetectorService_objectContactTurnaroundDetectorParam.js');
let RTC_TimedDoubleSeq = require('./RTC_TimedDoubleSeq.js');
let OpenHRP_TorqueFilterService = require('./OpenHRP_TorqueFilterService.js');
let MotorStates = require('./MotorStates.js');
let RTC_FsmService = require('./RTC_FsmService.js');
let OpenHRP_AutoBalancerService_ControllerMode = require('./OpenHRP_AutoBalancerService_ControllerMode.js');
let OpenHRP_CollisionDetectorService = require('./OpenHRP_CollisionDetectorService.js');
let OpenHRP_KalmanFilterService_KFAlgorithm = require('./OpenHRP_KalmanFilterService_KFAlgorithm.js');
let RTC_RTObject = require('./RTC_RTObject.js');
let OpenHRP_ObjectContactTurnaroundDetectorService_DetectorMode = require('./OpenHRP_ObjectContactTurnaroundDetectorService_DetectorMode.js');
let OpenHRP_WavPlayerService = require('./OpenHRP_WavPlayerService.js');
let OpenHRP_AutoBalancerService_GaitType = require('./OpenHRP_AutoBalancerService_GaitType.js');
let OpenHRP_AutoBalancerService_StepParam = require('./OpenHRP_AutoBalancerService_StepParam.js');
let OpenHRP_RobotHardwareService_RobotState2 = require('./OpenHRP_RobotHardwareService_RobotState2.js');
let RTC_Size3D = require('./RTC_Size3D.js');
let ContactStateStamped = require('./ContactStateStamped.js');
let OpenHRP_StateHolderService = require('./OpenHRP_StateHolderService.js');
let SDOPackage_Organization = require('./SDOPackage_Organization.js');
let SDOPackage_Configuration = require('./SDOPackage_Configuration.js');
let OpenHRP_StabilizerService_SupportPolygonVertices = require('./OpenHRP_StabilizerService_SupportPolygonVertices.js');
let OpenHRP_RobotHardwareService_RobotState = require('./OpenHRP_RobotHardwareService_RobotState.js');
let OpenHRP_ImpedanceControllerService_ControllerMode = require('./OpenHRP_ImpedanceControllerService_ControllerMode.js');
let OpenHRP_ReferenceForceUpdaterService = require('./OpenHRP_ReferenceForceUpdaterService.js');
let RTC_Mode = require('./RTC_Mode.js');
let RTC_FsmParticipantAction = require('./RTC_FsmParticipantAction.js');
let OpenHRP_EmergencyStopperService = require('./OpenHRP_EmergencyStopperService.js');
let OpenHRP_ExecutionProfileService_ComponentProfile = require('./OpenHRP_ExecutionProfileService_ComponentProfile.js');
let OpenHRP_AutoBalancerService_Footstep = require('./OpenHRP_AutoBalancerService_Footstep.js');
let OpenHRP_AutoBalancerService_UseForceMode = require('./OpenHRP_AutoBalancerService_UseForceMode.js');

module.exports = {
  OpenHRP_ServoControllerService: OpenHRP_ServoControllerService,
  OpenHRP_AccelerationFilterService_AccelerationFilterParam: OpenHRP_AccelerationFilterService_AccelerationFilterParam,
  OpenHRP_TimeKeeperService: OpenHRP_TimeKeeperService,
  OpenHRP_AccelerationFilterService: OpenHRP_AccelerationFilterService,
  OpenHRP_StabilizerService_EmergencyCheckMode: OpenHRP_StabilizerService_EmergencyCheckMode,
  RTC_MultiModeObject: RTC_MultiModeObject,
  OpenHRP_ThermoLimiterService: OpenHRP_ThermoLimiterService,
  OpenHRP_SequencePlayerService: OpenHRP_SequencePlayerService,
  OpenHRP_AutoBalancerService_SupportLegState: OpenHRP_AutoBalancerService_SupportLegState,
  RTC_Point3D: RTC_Point3D,
  OpenHRP_AutoBalancerService_IKLimbParameters: OpenHRP_AutoBalancerService_IKLimbParameters,
  SDOPackage_SDOService: SDOPackage_SDOService,
  OpenHRP_AABB: OpenHRP_AABB,
  OpenHRP_AutoBalancerService_GaitGeneratorParam: OpenHRP_AutoBalancerService_GaitGeneratorParam,
  SDOPackage_Monitoring: SDOPackage_Monitoring,
  OpenHRP_CollisionDetectorService_CollisionState: OpenHRP_CollisionDetectorService_CollisionState,
  OpenHRP_RemoveForceSensorLinkOffsetService_forcemomentOffsetParam: OpenHRP_RemoveForceSensorLinkOffsetService_forcemomentOffsetParam,
  OpenHRP_ExecutionProfileService: OpenHRP_ExecutionProfileService,
  RTC_Time: RTC_Time,
  RTC_DataFlowComponentAction: RTC_DataFlowComponentAction,
  OpenHRP_ImpedanceControllerService_impedanceParam: OpenHRP_ImpedanceControllerService_impedanceParam,
  OpenHRP_NullService: OpenHRP_NullService,
  OpenHRP_ObjectContactTurnaroundDetectorService_DetectorTotalWrench: OpenHRP_ObjectContactTurnaroundDetectorService_DetectorTotalWrench,
  OpenHRP_SequencePlayerService_interpolationMode: OpenHRP_SequencePlayerService_interpolationMode,
  OpenHRP_DataLoggerService: OpenHRP_DataLoggerService,
  OpenHRP_ForwardKinematicsService: OpenHRP_ForwardKinematicsService,
  SDOPackage_SDOSystemElement: SDOPackage_SDOSystemElement,
  OpenHRP_ImpedanceControllerService: OpenHRP_ImpedanceControllerService,
  OpenHRP_AutoBalancerService: OpenHRP_AutoBalancerService,
  OpenRTM_DataFlowComponent: OpenRTM_DataFlowComponent,
  RTC_LightweightRTObject: RTC_LightweightRTObject,
  OpenHRP_TorqueControllerService: OpenHRP_TorqueControllerService,
  RTC_FsmParticipant: RTC_FsmParticipant,
  OpenHRP_RobotHardwareService_SwitchStatus: OpenHRP_RobotHardwareService_SwitchStatus,
  OpenHRP_EmergencyStopperService_EmergencyStopperParam: OpenHRP_EmergencyStopperService_EmergencyStopperParam,
  OpenHRP_AutoBalancerService_AutoBalancerParam: OpenHRP_AutoBalancerService_AutoBalancerParam,
  OpenHRP_VirtualForceSensorService: OpenHRP_VirtualForceSensorService,
  RTC_PortService: RTC_PortService,
  OpenHRP_ExecutionProfileService_Profile: OpenHRP_ExecutionProfileService_Profile,
  OpenHRP_StabilizerService_STAlgorithm: OpenHRP_StabilizerService_STAlgorithm,
  OpenHRP_StabilizerService_TwoDimensionVertex: OpenHRP_StabilizerService_TwoDimensionVertex,
  OpenHRP_RobotHardwareService: OpenHRP_RobotHardwareService,
  OpenHRP_AutoBalancerService_FootstepParam: OpenHRP_AutoBalancerService_FootstepParam,
  OpenHRP_TorqueControllerService_torqueControllerParam: OpenHRP_TorqueControllerService_torqueControllerParam,
  OpenHRP_AutoBalancerService_OrbitType: OpenHRP_AutoBalancerService_OrbitType,
  OpenRTM_ExtTrigExecutionContextService: OpenRTM_ExtTrigExecutionContextService,
  RTC_ExecutionContextService: RTC_ExecutionContextService,
  RTC_ComponentAction: RTC_ComponentAction,
  OpenHRP_AutoBalancerService_StepParams: OpenHRP_AutoBalancerService_StepParams,
  ContactStatesStamped: ContactStatesStamped,
  Img_CameraCaptureService: Img_CameraCaptureService,
  OpenHRP_AutoBalancerService_Footsteps: OpenHRP_AutoBalancerService_Footsteps,
  OpenHRP_OGMap3D: OpenHRP_OGMap3D,
  OpenHRP_SoftErrorLimiterService: OpenHRP_SoftErrorLimiterService,
  OpenHRP_AccelerationFilterService_ControlMode: OpenHRP_AccelerationFilterService_ControlMode,
  OpenHRP_StabilizerService_IKLimbParameters: OpenHRP_StabilizerService_IKLimbParameters,
  OpenHRP_StabilizerService: OpenHRP_StabilizerService,
  OpenHRP_AutoBalancerService_StrideLimitationType: OpenHRP_AutoBalancerService_StrideLimitationType,
  OpenHRP_GraspControllerService: OpenHRP_GraspControllerService,
  ContactState: ContactState,
  OpenHRP_StateHolderService_Command: OpenHRP_StateHolderService_Command,
  RTC_FsmObject: RTC_FsmObject,
  OpenHRP_ObjectContactTurnaroundDetectorService: OpenHRP_ObjectContactTurnaroundDetectorService,
  SDOPackage_SDO: SDOPackage_SDO,
  OpenHRP_StabilizerService_stParam: OpenHRP_StabilizerService_stParam,
  OpenHRP_KalmanFilterService: OpenHRP_KalmanFilterService,
  RTC_Fsm: RTC_Fsm,
  OpenHRP_RemoveForceSensorLinkOffsetService: OpenHRP_RemoveForceSensorLinkOffsetService,
  OpenHRP_StabilizerService_ControllerMode: OpenHRP_StabilizerService_ControllerMode,
  RTC_MultiModeComponentAction: RTC_MultiModeComponentAction,
  OpenHRP_RobotHardwareService_BatteryState: OpenHRP_RobotHardwareService_BatteryState,
  OpenHRP_OGMap3DService: OpenHRP_OGMap3DService,
  OpenHRP_ThermoLimiterService_tlParam: OpenHRP_ThermoLimiterService_tlParam,
  OpenHRP_ReferenceForceUpdaterService_ReferenceForceUpdaterParam: OpenHRP_ReferenceForceUpdaterService_ReferenceForceUpdaterParam,
  RTC_ExecutionContext: RTC_ExecutionContext,
  RTC_ModeCapable: RTC_ModeCapable,
  OpenHRP_KalmanFilterService_KalmanFilterParam: OpenHRP_KalmanFilterService_KalmanFilterParam,
  RTC_DataFlowComponent: RTC_DataFlowComponent,
  OpenHRP_ObjectContactTurnaroundDetectorService_objectContactTurnaroundDetectorParam: OpenHRP_ObjectContactTurnaroundDetectorService_objectContactTurnaroundDetectorParam,
  RTC_TimedDoubleSeq: RTC_TimedDoubleSeq,
  OpenHRP_TorqueFilterService: OpenHRP_TorqueFilterService,
  MotorStates: MotorStates,
  RTC_FsmService: RTC_FsmService,
  OpenHRP_AutoBalancerService_ControllerMode: OpenHRP_AutoBalancerService_ControllerMode,
  OpenHRP_CollisionDetectorService: OpenHRP_CollisionDetectorService,
  OpenHRP_KalmanFilterService_KFAlgorithm: OpenHRP_KalmanFilterService_KFAlgorithm,
  RTC_RTObject: RTC_RTObject,
  OpenHRP_ObjectContactTurnaroundDetectorService_DetectorMode: OpenHRP_ObjectContactTurnaroundDetectorService_DetectorMode,
  OpenHRP_WavPlayerService: OpenHRP_WavPlayerService,
  OpenHRP_AutoBalancerService_GaitType: OpenHRP_AutoBalancerService_GaitType,
  OpenHRP_AutoBalancerService_StepParam: OpenHRP_AutoBalancerService_StepParam,
  OpenHRP_RobotHardwareService_RobotState2: OpenHRP_RobotHardwareService_RobotState2,
  RTC_Size3D: RTC_Size3D,
  ContactStateStamped: ContactStateStamped,
  OpenHRP_StateHolderService: OpenHRP_StateHolderService,
  SDOPackage_Organization: SDOPackage_Organization,
  SDOPackage_Configuration: SDOPackage_Configuration,
  OpenHRP_StabilizerService_SupportPolygonVertices: OpenHRP_StabilizerService_SupportPolygonVertices,
  OpenHRP_RobotHardwareService_RobotState: OpenHRP_RobotHardwareService_RobotState,
  OpenHRP_ImpedanceControllerService_ControllerMode: OpenHRP_ImpedanceControllerService_ControllerMode,
  OpenHRP_ReferenceForceUpdaterService: OpenHRP_ReferenceForceUpdaterService,
  RTC_Mode: RTC_Mode,
  RTC_FsmParticipantAction: RTC_FsmParticipantAction,
  OpenHRP_EmergencyStopperService: OpenHRP_EmergencyStopperService,
  OpenHRP_ExecutionProfileService_ComponentProfile: OpenHRP_ExecutionProfileService_ComponentProfile,
  OpenHRP_AutoBalancerService_Footstep: OpenHRP_AutoBalancerService_Footstep,
  OpenHRP_AutoBalancerService_UseForceMode: OpenHRP_AutoBalancerService_UseForceMode,
};
